%global plugin_name blueocean-pipeline-api-impl

Summary:    1.0.1
Name:       jenkins-plugin-%{plugin_name}
Version:    1.0.1
Release:    1%{?dist}
License:    ASL 2.0
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Blue+Ocean+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 2.7.1
Requires:   jenkins-plugin-pipeline-model-definition
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-pipeline-stage-step
Requires:   jenkins-plugin-pipeline-input-step
Requires:   jenkins-plugin-pipeline-graph-analysis
Requires:   jenkins-plugin-github-branch-source
Requires:   jenkins-plugin-git
Requires:   jenkins-plugin-credentials
Requires:   jenkins-plugin-branch-api
Requires:   jenkins-plugin-workflow-support
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-multibranch
Requires:   jenkins-plugin-workflow-job
Requires:   jenkins-plugin-workflow-durable-task-step
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-workflow-api
Requires:   jenkins-plugin-blueocean-rest-impl

%description
The Jenkins Plugins Parent POM Project

%prep


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/jenkins/
cp %{SOURCE0} %{buildroot}/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Fri May 12 2017 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Update to 1.0.1

